# Portage tree.
FROM gentoo/portage:latest as portage

# Base Gentoo image
FROM gentoo/stage3:amd64-nomultilib-openrc as build
LABEL maintainer=manuel@fritteli.ch
LABEL description="Gentoo pkgcheck image"

COPY --from=portage /var/db/repos/gentoo /var/db/repos/gentoo
RUN echo 'FEATURES="-ipc-sandbox -network-sandbox -pid-sandbox"' >> /etc/portage/make.conf
RUN emerge -v --noreplace \
    dev-util/pkgcheck \
    dev-vcs/git
